package stackjava.com.sbfreemaker.controller;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import stackjava.com.sbfreemaker.model.Product;

@Controller
public class BaseController {
	@RequestMapping("/")
	public String index(@RequestParam(name = "name", required = false) String name, Model model) {
		if (name == null) {
			name = "Anonymous";
		}
		String welcomeMessage = "Hi " + name + "! Welcome to SpringBoot Freemaker";
		model.addAttribute("message", welcomeMessage);
		return "index";
	}

	@GetMapping("/getProducts")
	public String getProducts(Model model) {
		List<Product> products = new ArrayList<>();
		products.add(new Product(1, "Iphone XS", 10));
		products.add(new Product(2, "SamSung S9", 12));
		products.add(new Product(3, "Nokia", 23));
		model.addAttribute("products", products);
		return "productList";

	}
}
